{% extends "base.html" %}
{% block content %}
<script>
      document.addEventListener('DOMContentLoaded', function() {
    var elems = document.querySelectorAll('.parallax');
    var instances = M.Parallax.init(elems, responsiveThreshold: 0);
  });
</script>
<section id="content" >
     <!-- /#banner -->
    <!--
<br>
<br>
        </ul></nav><!-- /#menu
<div class="side">
  <div class="md">
    <blockquote>
      <p>
        <a href="#snow"></a>
      </p>
      <p>
        <a href="#heroes"></a>
      </p>
      <p>
        <a href="#snow"></a>
      </p>
      <p>
        <a href="#snow"></a>
      </p>
    </blockquote>
  </div>-->

<div id="index-banner">
  <div class="carousel carousel-slider slider">
    <a class="carousel-item" href="#one!"><img src="images/home/home.jpg"></a>
    <a class="carousel-item" href="#two!"><img src="images/home/banniere-imprim3D.JPG"></a>
    <a class="carousel-item" href="#three!"><img src="images/home/banniere-pgw.jpg"></a>
  </div>
    <style>
        .caroussel{
            height: 900px !important;
        }
    </style>
<script>

        document.addEventListener('DOMContentLoaded', function() {
    var elems = document.querySelectorAll('.carousel');
    var instances = M.Carousel.init(elems, options);
  });

  // Or with jQuery

  $(document).ready(function(){
    $('.carousel').carousel();
      //function for auto play carousel-slider
      setInterval(function(){
           $('.carousel').carousel('next');
      },5000);
  });
  var instance = M.Carousel.init({
    fullWidth: true
  });

  instance.next(3);
  // Or with jQuery

  $('.carousel.carousel-slider').carousel({
    fullWidth: true
  });


    </script>
</div>
<br>
<br>
  <div class="container" id="labs">
    <!-- version noel<h2 style="
    margin-top: 6.1em;
">Des LABs :</h2>-->
      <img class="responsive-img" src="https://stockage.irobotechart.com/wl/?id=daprwKZYvyQJxEcsgi5aEl7ItoUaxrEv" width=120 height=30 alt="TitreLABs">
  </div>
  <div class="container">
    <div class="section">
        <div class="row">
        <div class="col s12 m6 l2">
          <div class="card small">
            <a href="labs/educlab.html">
                <div class="card-image">
                  <img src="images/home/labs/educlab.png">
                </div>
                <div class="card-content card-labs">
                    <div class="text_labs">EducLab</div>
                </div>
            </a>
          </div>
        </div>
        <div class="col s12 m6 l2">
          <div class="card small">
            <a href="labs/designlab.html">
                <div class="card-image">
                  <img src="images/home/labs/design.png">
                </div>
                <div class="card-content card-labs">
                    <div class="text_labs">DesignLab</div>
                </div>
            </a>
          </div>
        </div>
        <div class="col s12 m6 l2">
          <div class="card small">
            <a href="labs/explolab.html">
                <div class="card-image">
                  <img src="images/home/labs/explolab.png">
                </div>
                <div class="card-content card-labs">
                    <div class="text_labs">ExploLab</div>
                </div>
            </a>
          </div>
        </div>
        <div class="col s12 m6 l2">
          <div class="card small">
            <a href="labs/livinglab.html">
                <div class="card-image">
                  <img src="images/home/labs/livinglab.png">
                </div>
                <div class="card-content card-labs">
                    <div class="text_labs">LivingLab</div>
                </div>
            </a>
          </div>
        </div>
        <div class="col s12 m6 l2">
          <div class="card small">
            <a href="labs/fablab.html">
                <div class="card-image">
                  <img src="images/home/labs/fablab.png">
                </div>
                <div class="card-content card-labs">
                    <div class="text_labs">FabLab</div>
                </div>
            </a>
          </div>
        </div>
        <div class="col s12 m6 l2">
          <div class="card small">
            <a href="labs/medialab.html">
                <div class="card-image">
                  <img src="images/home/labs/medialab.png">
                </div>
                <div class="card-content card-labs">
                    <div class="text_labs">MediaLab</div>
                </div>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
<div class="parallax-container valign-wrapper">
  <div class="section no-pad-bot">
      <div class="container">
        <div class="row center">
          <h5 class="header col s12 black-text" id="joke"></h5>
        </div>
      </div>
    </div>
    <div class="parallax" id="blague"><img src="images/home/background.png" alt="Fond sur lequel sont affichées les blagues"></div>
  </div>
  <span id="actu"></span>
  <br>
  <br>
  <br>>
  <div class="container" id="actu">
    <img class="responsive-img" src="https://stockage.irobotechart.com/wl/?id=h7R99TsYp2R6zSnuKAjTbXSh60NT7cXx" width=120 height=30 alt="TitreActu">
  </div>
<div class="container">
    <div class="row">
        <ol id="post-list">
            {% for article in articles_page.object_list %}
                    <div class="col s12 m6 l4">
                                <section >
                                      <div class="card medium">
                                        <div class="card-image waves-effect waves-block waves-light">
                                          <img class="activator" src="{{ article.image }}">
                                        </div>
                                        <div class="card-content">
                                          <span class="card-title activator grey-text text-darken-4"><a href="{{article.url}}">{{ article.title }}</a><i class="material-icons right">more_vert</i></span>
                                          <p><a href="{{ article.author.url }}"><em>Écrit par <a href="{{ article.author.url }}">{{ article.author }}</a> le {{ article.locale_date }}.</em></a></p>
                                        </div>
                                        <div class="card-reveal">
                                          <span class="card-title grey-text text-darken-4">{{ article.title }}<i class="material-icons right">close</i></span>
                                          <p>{{ article.summary }}</p>
                                          <a href="{{article.url}}">Voir l'article</a>
                                        </div>
                                      </div>
                                </section>
                        </div>
            {% endfor %}
        </ol><!-- /#posts-list -->
</div>



    <div class="row">
            <center>
                <button class="btn waves-effect waves-light blue lighten-1" type="submit" name="action" onClick="javascript:document.location.href='categories.html'">Toute l'Actu
                        <i class="material-icons right">web</i>
                </button>
            </center>
        </div>
</div>
<div class="parallax-container valign-wrapper">
  <div class="section no-pad-bot">
      <div class="container">
        <div class="row center">
          <h5 class="header col s12 light" id="quote">"Now is better than never" : maintenant est préférable à jamais</h5>
        </div>
      </div>
    </div>
    <div class="parallax"><img src="images/home/background2.png" alt="Image de fond"></div>
  </div>
  <br>
  <br>
  <div class="container">
     <img class="responsive-img" src="https://stockage.irobotechart.com/wl/?id=uOoVahk1SxlQjnC4rvqu77XJ8d9kHNR3" width=120 height=30 alt="TitreInfo">
  </div>

  <div class="container">
    <div class="section">

   <div class="row">
     <div class="col s12 m6 l6">
       <div class="card blue lighten-2">
         <div class="card-content white-text">
           <span class="card-title">contact@iRoboTechArt.com</span>
         </div>
       </div>
     </div>
     <div class="col s12 m6 l6">
       <div class="card blue lighten-2">
           <div class="card-content white-text">
             <span class="card-title">+33 7 68 38 20 15</span>
           </div>
         </div>
     </div>
   </div>

 </div>
  </div>
<iframe src="https://www.google.com/maps/d/embed?mid=1iG6LaB7O2iMDJeSeBh6JKl1u8lc" width="100%" height="480"></iframe>
</section><!-- /#content -->
<script>
    var jokes = [
        "Quand quelqu'un de triste joue aux jeux vidéo pour oublier, on peut dire qu'il se console.",
        "Deux informaticiens discutent : <br>– Qu’est-ce que t’as pris comme résolution cette année ?<br>– 1024 x 768, et toi ?",
        "Quelle est la pulsation préférée d'un ordinateur ?<br> Un algo-rythme",
        "Dans le monde, il y a 10 catégories de personnes : <br>celles qui savent compter en binaire et celles qui ne savent pas.","Geek averti en vaut 0010 !","On ne dit pas : un geek ne descend pas du métro. Mais Il libère la RAM.","Quelle est la différence entre un Geek et Dracula ?<br>Dracula sort au moins la nuit.","Chez Apple quel est le plus gros ordinateur ?<br>Le Big Mac !","Quel est les deux groupes sanguins des Geeks ?<br>C++ et @+","Quel est le point commun entre un Geek, un clavier, une souris ?<br>Chacun est un périphérique relié à l’ordinateur !","Un Geek responsable a toujours une trousse de clés… USB","Que se passe t’il quand un Geek meurt ?<br>Il va à la corbeille…","Que fait un Geek quand il pète un cable ?<br>Il met le wifi…","Comment une mère appelle t’elle son fils geek quand le dîner est servi ?<br>Alt Tab (à Table)","Un jeune Geek explique à sa grand-mère comment utiliser un ordinateur :<br>- Alors, tu prends la souris et tu ouvres la fenêtre.<br>- Enfin il n’y a pas de souris chez moi et il fait froid dehors ! Répond la grand-mère.", "Quel auteur suscite chez presque tous les geeks de la surprise, de la rage, de l’angoisse, de l’énervement et de la colère ?<br>Le rédacteur des messages d’erreurs Windows","Quelle ville de la région parisienne le Geek trouve t’il très animée ?<br>Gif sur Yvette","Que demande un Geek lorsqu’il va chez le coiffeur ?<br>Pouvez vous me Ctrl+X les cheveux ?","Quel est le comble pour un Geek ?<br>Être privé de sortie.","Ce que le Geek n’aime pas : devoir perdre 7 heures à dormir, alors qu’il dort toutes les deux heures dans les jeux mais là, au moins, il peut accélérer.", "Quelle différence y a t’il entre Bill Gates et Dieu ?<br>Dieu ne se prend pas pour Bill Gates", "Wikipédia vu par les Geeks : <br> Wikipedia a toujours raison, c’est le prof qui à tort !", "Pourquoi les Pokémon ne peuvent ils pas conduire ?<br>Parce qu’ils ont trop de PV.", "La vie du Geek ne tient qu'à un seul fil . Lequel ?<br>Celui de son chargeur !", "Quelle différence entre Windows et un Lama ?<br>Aucune il ne font que cracher (crasher!)", "L’Orientation vus par les Geeks :<br>Le Geek ne se réoriente pas, il reroll !", "Comment peut on reconnaître un Geek ?<br>Quand on lui demande de crier, il URL (Hurle!)", "Quel est l’activité principal d’un Geek Cosmonaute ?<br>Il cherche la touche espace…", "Un Geek ne grandit pas, il level up !", "Les Geeks aiment le couché de soleil…<br>dans minecraft !", "Le ménage vu par les Geeks<br>Un Geek ne range pas, il défragmente !", "Quel est le seul code que les Geeks sont incapables de hacker ?<br>Le code de la route.",  "A quelle fréquence un Geek allume t’il et éteint-il son ordinateur ?<br>Une fois par an quand il part en vacances.", "Un Geek ne drague pas de nouvelle filles, il actualise le réseau !", "Vous êtes un Geek si vous savez que : « Je plussoie ce mec est un troll » veut dire « je suis d’accord avec toi, ce joueur est très agaçant !", "x au carré se promène dans la forêt mais quand il revient, il a perdu son carré. Pourquoi ? Parce qu’il s’est pris une racine…", "Vous êtes un Geek si vous avez utilisé un minitel et pas que lorsque vous étiez enfant dans les années 1980 !", "Quel est le pire cauchemar pour un Geek ?<br>Une coupure de réseau", "Vous êtes un Geek si …<br>Vous vous séchez les cheveux avec le ventilo de votre PC !", "Vous êtes un Geek si vous savez que… <br>« J’ai rage quit, je ne pouvais pas gg un cheese fast proxy rush first » veut dire <br>« J’ai quitté la partie brutalement, car je ne pouvais pas faire face à sa forte agressivité »", "Pourquoi Windows est multitâche ?<br>Parce qu’il arrive a démarrer et à planter en même temps !", "Quand les Geeks se sentent ils orphelins ?<br>Quand ils n’ont pas encore trouvé leur carte mère…", "Proverbe Geek :<br>Jamais 10 sans 11 !", "F et F’ sont sur un bateau.F tombe à l’eau, que fait F’ ?<br>Il dérive…", "Un Geek ne meurt pas, il respawn !", "Vous êtes un Geek si…<br>pour vous le python n’est pas qu’un serpent constricteur parfois très, très méchant !", "Pourquoi les Geeks prennent ils les transports en commun pour aller travailler ?<br>Parce que le permis coûte deux cartes graphiques et un écran 4k !", "Quel est le comble pour Windows ?<br>C’est que pour l’arrêter il faut cliquer sur démarrer !", "Vous êtes un Geek si …<br>pour vous un ennemi est un troll.", "Que crie un Geek qui est en train de se noyer ?<br>F1, F1, F1, F1 !", "A quoi sert Internet Explorer ?<br>A télécharger Mozilla Firefox !", "Le point de vue du Geek ?<br>90 % de la solution à un problème informatique se situe entre le bureau et la chaise.", "Le repas type d’un Geek :<br>Entrée : pizza, Plat : pizza, Dessert : pizza !", "Que lancent les Geeks dans les manifestations ?<br>Des pavés numériques.", "Pourquoi Mickey Mouse ?<br>Parce que Mario Bros…", "Qu’est ce qui est gravé sur la tombe d’un Geek ?<br>Désolé mais vous ne pouvez pas respawner", "Un Geek ne s’ennuie pas,<br>il se fichier !", "Que dit un Geek qui rencontre un autre Geek en train de pleurer ?<br>Que se passe t’il Tétris ?", "Un Geek ne dort pas, il se met en veille…. Puis reboot !", "Le Geek s’interroge :<br>Qui est venu en premier à la vie : le code source ou le compilateur ?", "Proverbe Geek : <br>Toutes les roots mènent à ROM !", "Pour quelle raison un Geek adolescent ne peut il pas partir de chez ses parents ?<br>Parce qu’il n’a pas les droits administrateurs…", "A votre avis qu’est ce qu’un Geek qui range sa chambre ?<br>Une partie de Tétris", "Comment s’appelle chaque doigt de la main gauche d’un Geek ?<br>Espace(Le pouce) – D(l’index) – Z(le majeur) – Q (l’annulaire) – Shift (l’auriculaire)", "Comment se sent un Geek qui utilise un mac ? <br>Il se sent pommé", "Proverbe Geek : Un clavier azerty en vaut deux !", "Qu’est ce qu’un Geek qui télécharge illégalement en Martinique ?Un pirate des Caraïbes…", "Comment se muscle un Geek ?<br>En faisant Alt+R", "Pourquoi les Geeks pensent que la vie est la mal faite ? <br> Car on ne peut pas la redémarrer en mode sans échec !", "Qu’utilise un Geek pour faire la lessive ? <br>La barre de tâches …", "Que fait un Geek pour réparer une très grosse gaffe ?<br<Crtl+Z", "Quel est le comble pour un ordinateur ?<br>C’est d’avoir des puces !", "Le Geek ne se vaccine pas, il met à jour sa base virale !", "Un Geek n’a jamais la flemme, il se met juste en mode économie d’énergie.", "Que dit un Geek à propos de quelqu’un qu’il trouve moche ?<br>Il est graphiquement mal optimisé...", "Comment un Geek fait il pour bronzer ?<br>Il augmente la luminosité de son écran…",
        "Quel est le plus simple de rompre avec un Geek ?<br>De lui offrir une nouvelle carte graphique…", "Vous êtes un Geek si vous vous nourrissez principalement de pistaches décortiquées et de pizzas.", "Pour quelle cause un Geek est-il prêt à prendre les armes ?Si sa batterie est en danger…", "Chez Apple quel est le plus gros ordinateur ?<br>Le Big Mac !",

    ]
    var size = jokes.length;
    var random = Math.floor(Math.random() * Math.floor(size));
    document.getElementById("joke").innerHTML = jokes[random];

    var quotes=[['"Now is better than never" : maintenant est préférable à jamais', 'The Zen of Python, by Tim Peters'], ['La vie, c’est comme une bicyclette, il faut avancer pour ne pas perdre l’équilibre. ', 'Albert Einstein'], ['Tout le monde est un génie. Mais si vous jugez un poisson sur ses capacités à grimper à un arbre, il passera sa vie à croire qu’il est stupide. ', 'Albert Einstein '], ["L'imagination est plus importante que le savoir.", 'Albert Einstein'], ["Le véritable signe de l'intelligence, ce n'est pas la connaissance mais l'imagination.", 'Albert Einstein'], ["Si l'abeille disparaissait du globe, l'homme n'aurait plus que quatre années à vivre.", 'Albert Einstein'], ['La perfection des moyens et la confusion des buts semblent caractériser notre époque.', 'Albert Einstein'], ["La seule chose absolue dans un monde comme le nôtre, c'est l'humour.", 'Albert Einstein'], ['Je ne pense jamais au futur. Il vient bien assez tôt. ', 'Albert Einstein'], ["L'éducation est ce qui reste après qu'on ait oublié ce qu'on a appris à l'école. ", 'Albert Einstein'], ["Il n'existe que deux choses infinies, l'univers et la bêtise humaine... mais pour l'univers, je n'ai pas de certitude absolue. ", 'Albert Einstein'], ['Le monde est dangereux à vivre non pas tant à cause de ceux qui font le mal, mais à cause de ceux qui regardent et laissent faire.', 'Albert Einstein'], ["Si la vue d'un bureau encombré évoque un esprit encombré, alors que penser d'un bureau vide.", 'Albert Einstein'], ['Il ne faut pas compter sur ceux qui ont crée les problèmes pour les résoudre. ', 'Albert Einstein'], ["La théorie c'est quand on sait tout et que rien ne fonctionne, la pratique c'est quand tout fonctionne mais que l'on ne sait pas pourquoi ", 'Albert Einstein'], ["La logique vous mènera d'un point A à un point B, l'imagination vous mènera absolument partout. ", 'Albert Einstein'], ["Le sentiment de mystère est le plus beau qu'il nous soit donné d'éprouver. Il est la source de tout art et de toute science véritable. ", 'Albert Einstein'], ["Si tu veux connaître quelqu'un n'écoute pas ce qu'il dit, mais regarde ce qu'il fait.", 'Dalaï Lama'], ["Il n'y a rien de plus réellement artistique que d'aimer les gens.", 'Vincent Van Gogh'], ["L'art est une émotion supplémentaire qui vient s'ajouter à une technique habile.", 'Charlie Chaplin'], ["Tout obstacle renforce la détermination. Celui qui s'est fixé un but n'en change pas. ", 'Léonard de Vinci'], ["Qu'arriverait-il si l'humanité quittait la planète en oubliant de débrancher le dernier robot.", 'Wall.E de Andrew Stanton'], ['C-3PO et Han Solo<br>"Capitaine Solo, les chances de traverser un champ d\'astéroïde avec succès sont approximativement de 1 sur 3 720."<br>"Tu sais, moi et les probabilités."', "Star Wars, épisode V : L'Empire contre-attaque"], ["Il y a deux façons de faire la conception d'un logiciel. Une façon est de le rendre si simple qu'il n'y a selon toute apparence aucun défaut. Et l'autre est de le faire si compliqué qu'il n'y a pas de défaut apparent.", 'Tony (C.A.R.) Hoare']]
    var size_quotes = quotes.length;
    var random = Math.floor(Math.random() * Math.floor(size_quotes));
    document.getElementById("quote").innerHTML = quotes[random][0] + "<br><i>" +quotes[random][1] +"</i>";
</script>
{% endblock content %}
